opensaml Namespace Reference

Common classes for OpenSAML library. More...

## Classes

class | ArtifactMap
| Helper class for SAMLArtifact mapping and retrieval. More...
class | MessageDecoder
| Interface to SAML protocol binding message decoders. More...
class | MessageEncoder
| Interface to SAML protocol binding message encoders. More...
class | SAMLArtifact
| Base class for SAML 1.x and 2.0 artifacts. More...
class | ArtifactException
| Exceptions related to artifact parsing. More...
class | SecurityPolicy
| A policy used to verify the security of an incoming message. More...
class | SecurityPolicyRule
| A rule that a protocol request and message must meet in order to be valid and secure. More...
class | SOAPClient
| Specialized SOAPClient for SAML SOAP bindings. More...
class | EncryptedKeyResolver
| SAML-specific encrypted key resolver. More...
class | SecurityPolicyException
| Exceptions in security policy processing. More...
class | BindingException
| Exceptions in SAML binding processing. More...
class | ProfileException
| Exceptions in SAML profile processing. More...
class | FatalProfileException
| Fatal exceptions in SAML profile processing. More...
class | RetryableProfileException
| Non-fatal exceptions in SAML profile processing. More...
class | RootObject
| Base class for SAML objects at the root of core schemas. More...
class | Assertion
| Base class for SAML assertions. More...
class | Status
| Base class for SAML status codes. More...
class | SAMLConfig
| Singleton object that manages library startup/shutdown.configuration. More...
class | ContentReference
| SAML-specific signature reference profile. More...
class | SignableObject
| Base class for SAML objects that can be signed. More...
class | SignatureProfileValidator
| SAML-specific signature profile validator. More...
class | CommonDomainCookie
| Helper class for maintaining discovery cookie. More...

## Functions

void | registerMessageDecoders ()
| Registers MessageDecoder plugins into the runtime.
void | registerMessageEncoders ()
| Registers MessageEncoder plugins into the runtime.
void | registerSAMLArtifacts ()
| Registers SAMLArtifact subclasses into the runtime.
void | registerSecurityPolicyRules ()
| Registers SecurityPolicyRule plugins into the runtime.
void | annotateException (xmltooling::XMLToolingException *e, const saml2md::EntityDescriptor *entity, const Status *status=0, bool rethrow=true)
| Attaches metadata-derived information as exception properties and optionally rethrows the object.
void | annotateException (xmltooling::XMLToolingException *e, const saml2md::RoleDescriptor *role, const Status *status=0, bool rethrow=true)
| Attaches metadata-derived information as exception properties and optionally rethrows the object.

## Detailed Description

Common classes for OpenSAML library.

## Function Documentation

## annotateException() [1/2]

void opensaml::annotateException | ( | xmltooling::XMLToolingException * | e,
|  | const saml2md::EntityDescriptor * | entity,
|  | const Status * | status = 0,
|  | bool | rethrow = true )

Attaches metadata-derived information as exception properties and optionally rethrows the object.

The following named properties are attached, when possible:

entityID
  The unique ID of the entity
errorURL
  The error support URL of a random role
contactName
  A formatted support or technical contact name
contactEmail
  A contact email address
statusCode
  Top-level status code from Status object
statusCode2
  Second-level status code from Status object
statusMessage
  StatusMessage from Status object

Parameters

  e | pointer to exception object
  entity | pointer to entity
  status | pointer to Status from message
  rethrow | true iff the exception should be rethrown

## annotateException() [2/2]

void opensaml::annotateException | ( | xmltooling::XMLToolingException * | e,
|  | const saml2md::RoleDescriptor * | role,
|  | const Status * | status = 0,
|  | bool | rethrow = true )

Attaches metadata-derived information as exception properties and optionally rethrows the object.

The following named properties are attached, when possible:

entityID
  The unique ID of the entity
errorURL
  The error support URL of the role
contactName
  A formatted support or technical contact name
contactEmail
  A contact email address
statusCode
  Top-level status code from Status object
statusCode2
  Second-level status code from Status object

Parameters

  e | pointer to exception object
  entity | pointer to role
  status | pointer to Status from message
  rethrow | true iff the exception should be rethrown